Bug 1534608

Summary: [RFE] Searching for all instances of packages in all repos
Product: Red Hat Satellite 6 Reporter: Roxanne Hoover <rohoover>
Component: RepositoriesAssignee: Kavita <kgaikwad>
Status: CLOSED ERRATA QA Contact: vijsingh
Severity: medium Docs Contact:
Priority: unspecified    
Version: UnspecifiedCC: akarsale, akofink, bbuckingham, bmidwood, kgaikwad, pcreech, rohoover, sghai
Target Milestone: 6.5.0Keywords: FutureFeature, Triaged, UserExperience
Target Release: Unused   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-14 12:36:57 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Roxanne Hoover 2018-01-15 14:52:36 UTC
Description of problem:
Current search for packages within repositories does not allow one to search for all instances of packages in all repos. Specific repos must be specified.

Version-Release number of selected component (if applicable):
All

How reproducible:
Always

Steps to Reproduce:
1.Content>Packages>Select a package
2.Click on the Repositories tab
3. Notice that the first two drop downs require you to specify a Lifecycle and Content View

Actual results:
As is.

Expected results:
Customer (Walmart) would like to be able to search in All Lifecycles and All Content Views.

Additional info:
Quote from Walmart: "with the spectre/meltdown firedrill it has been pretty rough for us to use that to validate which packages are actually available in which locations"

Comment 2 Andrew Kofink 2018-06-13 15:24:34 UTC
Roxanne,

The API currently supports this, so we just need to update the UI here to accommodate nil content view and lifecycle environment. I propose we simply load the page with both drop downs blank (we'd have to add a blank entry to each, of course). This gives users the flexibility of choosing a specific CV/LE only if they want.

On a side note, I noticed that it is possible to search for repos in a LE without specifying the CV, but you have to first select a different LE, then reselect the LE you want - the CV drop down now shows a blank entry, and the API request doesn't send the CV ID. This seems like a bug to me, and this feature will most likely also 'fix' this because we'll always show the blank option in the drop down selectors.

Please let me know if this proposed solution makes sense from a UX point of view.

Comment 3 Roxanne Hoover 2018-06-19 18:59:10 UTC
Andrew,

Could we have the drop downs say "All Content Views" and "All Lifecycle Environments". My concern is that if we load blank drop downs, then the user wouldn't have a clear indication of where the results are coming from.

Comment 4 Andrew Kofink 2018-06-19 19:00:56 UTC
Yes, that's a great idea. Thanks for the feedback!

Comment 5 Andrew Kofink 2018-06-20 15:30:08 UTC
Created redmine issue https://projects.theforeman.org/issues/24018 from this bug

Comment 7 pm-sat@redhat.com 2018-07-09 16:06:15 UTC
Upstream bug assigned to kgaikwad@redhat.com

Comment 8 pm-sat@redhat.com 2018-09-14 16:01:25 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24018 has been resolved.

Comment 13 Suraj Bora 2018-12-04 06:00:55 UTC
Verified:

@Satellite 6.5.0 Snap 5.0

steps:

1.Content>Packages>Select a package
2.Click on the Repositories tab
3. Able see repositories associated individual or all life cycle environment and content view.

Comment 17 errata-xmlrpc 2019-05-14 12:36:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222